### Function

# Gimp Vectors get_by_id

unstable since: 3.0

#### Declaration [src]

    GimpVectors*
    gimp_vectors_get_by_id (
      gint32 vectors_id
    )

#### Description [src]

Returns a `GimpVectors` representing `vectors_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is vectors or `NULL` otherwise.

Available since: 3.0

#### Parameters

`vectors_id`

  Type: `gint32`

  The vectors id.

#### Return value

Type: `GimpVectors`

A `GimpVectors` for `vectors_id` or `NULL` if `vectors_id` does not represent a valid vectors. The object belongs to libgimp and you must not modify or unref it.

The data is owned by the called function.
The return value can be `NULL`.